Summary:	File-synchronization tool for Unix and Windows
Name:		unison
# Not upgraded to 2.40.63 because at least help menu is broken
Version:	2.40.63
Release:	%mkrel 2
License:	GPLv2
Group:		File tools
URL:            http://www.cis.upenn.edu/~bcpierce/unison/
Source0:        http://www.seas.upenn.edu/~bcpierce/unison/download/releases/stable/%{name}-%{version}.tar.gz
Source1:        unison.png
Source2:        http://www.seas.upenn.edu/~bcpierce/unison/download/releases/stable/%{name}-%{version}-manual.pdf
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  gtk+2-devel
BuildRequires:  glib2-devel
BuildRequires:  pango-devel
Buildrequires:  ocaml
BuildRequires:  emacs-common
Requires:	openssh-clients 
Requires:       x11-font-schumacher-misc
Requires:	rsync

%description
Unison is a file-synchronization tool for Unix and Windows. It allows
two replicas of a collection of files and directories to be stored on
different hosts (or different disks on the same host), modified
separately, and then brought up to date by propagating the changes in
each replica to the other. Unlike simple mirroring or backup
utilities, Unison can deal with updates to both replicas of a
distributed directory structure. Updates that do not conflict are
propagated automatically.  Conflicting updates are detected and
displayed. Unison can synchronize either locally (between volumes
mounted on the same computer) or remotely,between any pair of machines
connected to the internet, communicating over either a direct socket
link or tunneling over an rsh or an encrypted ssh connection. It is
careful with network bandwidth, and runs well over slow links such as
PPP connections. Unison is available for both Windows (95/98/NT/2K)
and Unix (Linux, Solaris). Moreover, Unison works across platforms,
allowing you to synchronize a Windows laptop with a Unix server, for
example.

%prep
%setup -q
%apply_patches

%build
make THREADS=true UISTYLE=gtk2

%install
rm -rf %{buildroot}

install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
cp -f %{SOURCE2} .

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS TODO.txt README CONTRIB COPYING %{name}-%{version}-manual.pdf
%{_bindir}/*
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/pixmaps/*


%changelog

* Mon Sep 19 2011 fwang <fwang> 2.40.63-2.mga2
+ Revision: 145227
- rebuild for new libpng

  + tv <tv>
    - drop merged patch
    - new release

* Wed Jul 13 2011 mikala <mikala> 2.40.61-2.mga2
+ Revision: 123830
- Fix Categories
- Fix BuildRequires
- use %%apply_patches

* Thu Mar 17 2011 mikala <mikala> 2.40.61-1.mga1
+ Revision: 72994
- Update to last stable (2.40.61)
- use %%{buildroot} install of $RPM_BUILD_ROOT
- drop patch1 (not needed anymore)
- Add  patch1 to fix mkProjectInfo.ml creation

* Tue Feb 22 2011 mikala <mikala> 2.32.52-2.mga1
+ Revision: 56490
- Remove BuildRoot
- Clean spec
- imported package unison

